> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create inbox placement test

> Requires one of the following scopes: `inbox_placement_tests:create`, `inbox_placement_tests:all`, `all:create`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json post /api/v2/inbox-placement-tests
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/inbox-placement-tests:
    post:
      tags:
        - InboxPlacementTest
      summary: Create inbox placement test
      description: >-
        Requires one of the following scopes: `inbox_placement_tests:create`,
        `inbox_placement_tests:all`, `all:create`, `all:all`
      operationId: createInboxPlacementTest
      requestBody:
        content:
          application/json:
            schema:
              title: CreateInbox Placement Test
              description: The Inbox Placement Test to create
              type: object
              properties:
                name:
                  type: string
                  description: Name of the inbox placement test
                  example: My Inbox Placement Test
                delivery_mode:
                  type:
                    - 'null'
                    - number
                  description: Whether to send emails one by one or all together
                  enum:
                    - 1
                    - 2
                    - null
                  x-enumDescriptions:
                    '1': One by one
                    '2': All together
                  example: 1
                description:
                  type:
                    - string
                    - 'null'
                  description: Description of the inbox placement test
                  example: This is a test description
                schedule:
                  type: object
                  description: >-
                    Specifies the date and time when the automated inbox
                    placement tests will be sent.
                  properties:
                    days:
                      type: object
                      description: >-
                        Days of the week when the test will run, where keys are
                        integers (0-6, 0 = Sunday) and values are booleans
                        indicating active days.
                      additionalProperties:
                        type: boolean
                        example: false
                      example:
                        '0': false
                        '1': false
                        '2': true
                        '3': true
                        '4': false
                        '5': false
                        '6': false
                    timing:
                      type: object
                      properties:
                        from:
                          type: string
                          description: >-
                            The time of day when the test will start (24-hour
                            format).
                          example: '02:30'
                      description: Timing configuration for the scheduled test.
                    timezone:
                      type: string
                      enum:
                        - Etc/GMT+12
                        - Etc/GMT+11
                        - Etc/GMT+10
                        - America/Anchorage
                        - America/Dawson
                        - America/Creston
                        - America/Chihuahua
                        - America/Boise
                        - America/Belize
                        - America/Chicago
                        - America/Bahia_Banderas
                        - America/Regina
                        - America/Bogota
                        - America/Detroit
                        - America/Indiana/Marengo
                        - America/Caracas
                        - America/Asuncion
                        - America/Glace_Bay
                        - America/Campo_Grande
                        - America/Anguilla
                        - America/Santiago
                        - America/St_Johns
                        - America/Sao_Paulo
                        - America/Argentina/La_Rioja
                        - America/Araguaina
                        - America/Godthab
                        - America/Montevideo
                        - America/Bahia
                        - America/Noronha
                        - America/Scoresbysund
                        - Atlantic/Cape_Verde
                        - Africa/Casablanca
                        - America/Danmarkshavn
                        - Europe/Isle_of_Man
                        - Atlantic/Canary
                        - Africa/Abidjan
                        - Arctic/Longyearbyen
                        - Europe/Belgrade
                        - Africa/Ceuta
                        - Europe/Sarajevo
                        - Africa/Algiers
                        - Africa/Windhoek
                        - Asia/Nicosia
                        - Asia/Beirut
                        - Africa/Cairo
                        - Asia/Damascus
                        - Europe/Bucharest
                        - Africa/Blantyre
                        - Europe/Helsinki
                        - Europe/Istanbul
                        - Asia/Jerusalem
                        - Africa/Tripoli
                        - Asia/Amman
                        - Asia/Baghdad
                        - Europe/Kaliningrad
                        - Asia/Aden
                        - Africa/Addis_Ababa
                        - Europe/Kirov
                        - Europe/Astrakhan
                        - Asia/Tehran
                        - Asia/Dubai
                        - Asia/Baku
                        - Indian/Mahe
                        - Asia/Tbilisi
                        - Asia/Yerevan
                        - Asia/Kabul
                        - Antarctica/Mawson
                        - Asia/Yekaterinburg
                        - Asia/Karachi
                        - Asia/Kolkata
                        - Asia/Colombo
                        - Asia/Kathmandu
                        - Antarctica/Vostok
                        - Asia/Dhaka
                        - Asia/Rangoon
                        - Antarctica/Davis
                        - Asia/Novokuznetsk
                        - Asia/Hong_Kong
                        - Asia/Krasnoyarsk
                        - Asia/Brunei
                        - Australia/Perth
                        - Asia/Taipei
                        - Asia/Choibalsan
                        - Asia/Irkutsk
                        - Asia/Dili
                        - Asia/Pyongyang
                        - Australia/Adelaide
                        - Australia/Darwin
                        - Australia/Brisbane
                        - Australia/Melbourne
                        - Antarctica/DumontDUrville
                        - Australia/Currie
                        - Asia/Chita
                        - Antarctica/Macquarie
                        - Asia/Sakhalin
                        - Pacific/Auckland
                        - Etc/GMT-12
                        - Pacific/Fiji
                        - Asia/Anadyr
                        - Asia/Kamchatka
                        - Etc/GMT-13
                        - Pacific/Apia
                      description: >-
                        Timezone in which the schedule is set, in IANA timezone
                        format.
                      example: Etc/GMT+12
                type:
                  type: number
                  description: >-
                    Whether the inbox placement test is a one-time test or an
                    automated test
                  enum:
                    - 1
                    - 2
                  example: 1
                sending_method:
                  type: number
                  description: >-
                    Whether the inbox placement test will be sent from Instantly
                    or from outside Instantly
                  enum:
                    - 1
                    - 2
                  x-enumDescriptions:
                    '1': From Instantly
                    '2': From Outside Instantly
                  example: 1
                campaign_id:
                  type:
                    - 'null'
                    - string
                  description: Campaign ID
                  format: uuid
                  example: 019e0e3e-72e8-70f0-ad33-ebde09950367
                email_subject:
                  type: string
                  description: Email subject of the inbox placement test
                  example: My Email Subject
                email_body:
                  type: string
                  description: Email body of the inbox placement test
                  example: Hi, this is my email body
                emails:
                  type: array
                  description: Emails to send the inbox placement test to
                  items:
                    type: string
                    example: john@doe.com
                test_code:
                  type:
                    - string
                    - 'null'
                  description: >-
                    Code for identifying the inbox placement tests in the email
                    body from outside Instantly
                  example: ptid_QUDxlQAJTemYCQUTtR16U
                tags:
                  type:
                    - array
                    - 'null'
                  description: List of tag IDs to use for sending emails
                  items:
                    type: string
                    format: uuid
                    example: 019e0e3e-72e8-70f0-ad33-ebdf80804083
                text_only:
                  type:
                    - boolean
                    - 'null'
                  description: Disables open tracking
                  example: true
                recipients_labels:
                  type: array
                  description: >-
                    A list of email providers and their corresponding types to
                    which emails will be sent. To retrieve the available
                    options, use the `GET:
                    /inbox-placement-tests/email-service-provider-options`
                    endpoint
                  items:
                    type: object
                    properties:
                      region:
                        type: string
                        description: The region to send emails to
                        example: North America
                      sub_region:
                        type: string
                        description: The sub-region to send emails to
                        example: US
                      type:
                        type: string
                        description: The type of email to send
                        example: Professional
                      esp:
                        type: string
                        description: The Email Service Provider (ESP) to send emails to
                        example: Google
                    required:
                      - region
                      - sub_region
                      - type
                      - esp
                timestamp_next_run:
                  type:
                    - string
                    - 'null'
                  description: Timestamp when the inbox placement test will run next
                  example: '2026-05-09T19:37:14.216Z'
                automations:
                  type:
                    - 'null'
                    - array
                  description: Optional automations to trigger based on conditions
                  minItems: 0
                  items:
                    type: object
                    properties:
                      when:
                        type: object
                        properties:
                          condition:
                            type: string
                            description: Condition for automation trigger
                            enum:
                              - placement_goes_below
                              - placement_goes_above
                              - added_to_blacklists
                              - removed_from_blacklists
                            example: placement_goes_below
                          condition_value:
                            type:
                              - 'null'
                              - number
                            description: Value for condition, if applicable
                            example: 80
                        required:
                          - condition
                      then:
                        type: object
                        properties:
                          webhook_url:
                            type: string
                            example: https://example.com/webhook
                          pause_sending_campaigns_for:
                            type: number
                            description: Number of days to pause sending campaigns for
                            example: 14
                          pause:
                            type: boolean
                            example: true
                          enable_slow_ramp:
                            type: boolean
                            example: true
                          disable_slow_ramp:
                            type: boolean
                            example: true
                          add_tags:
                            type: array
                            items:
                              type: string
                              format: uuid
                              example: 019e0e3e-72e8-70f0-ad33-ebe0167d6f7d
                            example:
                              - 019e0e3e-72e8-70f0-ad33-ebe1dda02fac
                          remove_tags:
                            type: array
                            items:
                              type: string
                              format: uuid
                              example: 019e0e3e-72e8-70f0-ad33-ebe23497710e
                        minProperties: 1
                        description: Actions to take when condition is met
                    required:
                      - when
                      - then
                status:
                  type:
                    - number
                    - 'null'
                  description: Status of the inbox placement test
                  enum:
                    - 1
                    - 2
                    - 3
                  x-enumDescriptions:
                    '1': Active
                    '2': Paused
                    '3': Completed
                  example: 1
                not_sending_status:
                  type:
                    - string
                    - 'null'
                  description: >-
                    Why the inbox placement test is currently not sending. It
                    will be an empty string if there are no issues.
                  enum:
                    - daily_limits_hit
                    - other
                  x-enumDescriptions:
                    daily_limits_hit: Daily limits hit
                    other: Other reason
                  example: daily_limits_hit
                run_immediately:
                  type: boolean
                  description: >-
                    Run the test immediately after creation, as well as on the
                    schedule
                  example: true
              required:
                - name
                - type
                - sending_method
                - email_subject
                - email_body
                - emails
              additionalProperties: false
        required: true
        description: The Inbox Placement Test to create
      responses:
        '200':
          description: The Inbox Placement Test
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-5'
        '400':
          description: >-
            Invalid request body (e.g. missing required fields, or invalid field
            values)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 400
                    example: 400
                  error:
                    type: string
                    enum:
                      - Bad Request
                    example: Bad Request
                  message:
                    type: string
                    example: body must have required property 'name'
                required:
                  - statusCode
                  - error
                  - message
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-5:
      title: Inbox Placement Test
      description: An inbox placement test
      x-tags:
        - Schemas
        - InboxPlacementTest
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the inbox placement test
          readOnly: true
          format: uuid
          example: 019e0e3e-72e8-70f0-ad33-ebdc4bc78d00
        organization_id:
          type: string
          description: Organization ID
          readOnly: true
          format: uuid
          example: 019e0e3e-72e8-70f0-ad33-ebddcb569c10
        name:
          type: string
          description: Name of the inbox placement test
          example: My Inbox Placement Test
        delivery_mode:
          type:
            - 'null'
            - number
          description: Whether to send emails one by one or all together
          enum:
            - 1
            - 2
            - null
          x-enumDescriptions:
            '1': One by one
            '2': All together
          example: 1
        description:
          type:
            - 'null'
            - string
          description: Description of the inbox placement test
          example: This is a test description
        schedule:
          type: object
          description: >-
            Specifies the date and time when the automated inbox placement tests
            will be sent.
          properties:
            days:
              type: object
              description: >-
                Days of the week when the test will run, where keys are integers
                (0-6, 0 = Sunday) and values are booleans indicating active
                days.
              additionalProperties:
                type: boolean
                examples:
                  - false
              example:
                '0': false
                '1': false
                '2': true
                '3': true
                '4': false
                '5': false
                '6': false
            timing:
              type: object
              properties:
                from:
                  type: string
                  description: The time of day when the test will start (24-hour format).
                  example: '02:30'
              description: Timing configuration for the scheduled test.
            timezone:
              type: string
              enum:
                - Etc/GMT+12
                - Etc/GMT+11
                - Etc/GMT+10
                - America/Anchorage
                - America/Dawson
                - America/Creston
                - America/Chihuahua
                - America/Boise
                - America/Belize
                - America/Chicago
                - America/Bahia_Banderas
                - America/Regina
                - America/Bogota
                - America/Detroit
                - America/Indiana/Marengo
                - America/Caracas
                - America/Asuncion
                - America/Glace_Bay
                - America/Campo_Grande
                - America/Anguilla
                - America/Santiago
                - America/St_Johns
                - America/Sao_Paulo
                - America/Argentina/La_Rioja
                - America/Araguaina
                - America/Godthab
                - America/Montevideo
                - America/Bahia
                - America/Noronha
                - America/Scoresbysund
                - Atlantic/Cape_Verde
                - Africa/Casablanca
                - America/Danmarkshavn
                - Europe/Isle_of_Man
                - Atlantic/Canary
                - Africa/Abidjan
                - Arctic/Longyearbyen
                - Europe/Belgrade
                - Africa/Ceuta
                - Europe/Sarajevo
                - Africa/Algiers
                - Africa/Windhoek
                - Asia/Nicosia
                - Asia/Beirut
                - Africa/Cairo
                - Asia/Damascus
                - Europe/Bucharest
                - Africa/Blantyre
                - Europe/Helsinki
                - Europe/Istanbul
                - Asia/Jerusalem
                - Africa/Tripoli
                - Asia/Amman
                - Asia/Baghdad
                - Europe/Kaliningrad
                - Asia/Aden
                - Africa/Addis_Ababa
                - Europe/Kirov
                - Europe/Astrakhan
                - Asia/Tehran
                - Asia/Dubai
                - Asia/Baku
                - Indian/Mahe
                - Asia/Tbilisi
                - Asia/Yerevan
                - Asia/Kabul
                - Antarctica/Mawson
                - Asia/Yekaterinburg
                - Asia/Karachi
                - Asia/Kolkata
                - Asia/Colombo
                - Asia/Kathmandu
                - Antarctica/Vostok
                - Asia/Dhaka
                - Asia/Rangoon
                - Antarctica/Davis
                - Asia/Novokuznetsk
                - Asia/Hong_Kong
                - Asia/Krasnoyarsk
                - Asia/Brunei
                - Australia/Perth
                - Asia/Taipei
                - Asia/Choibalsan
                - Asia/Irkutsk
                - Asia/Dili
                - Asia/Pyongyang
                - Australia/Adelaide
                - Australia/Darwin
                - Australia/Brisbane
                - Australia/Melbourne
                - Antarctica/DumontDUrville
                - Australia/Currie
                - Asia/Chita
                - Antarctica/Macquarie
                - Asia/Sakhalin
                - Pacific/Auckland
                - Etc/GMT-12
                - Pacific/Fiji
                - Asia/Anadyr
                - Asia/Kamchatka
                - Etc/GMT-13
                - Pacific/Apia
              description: Timezone in which the schedule is set, in IANA timezone format.
              example: Etc/GMT+12
          example:
            days:
              '2': true
              '3': true
            timing:
              from: '02:30'
            timezone: America/Chihuahua
        type:
          type: number
          description: >-
            Whether the inbox placement test is a one-time test or an automated
            test
          enum:
            - 1
            - 2
          example: 1
        sending_method:
          type: number
          description: >-
            Whether the inbox placement test will be sent from Instantly or from
            outside Instantly
          enum:
            - 1
            - 2
          x-enumDescriptions:
            '1': From Instantly
            '2': From Outside Instantly
          example: 1
        campaign_id:
          type:
            - 'null'
            - string
          description: Campaign ID
          format: uuid
          example: 019e0e3e-72e8-70f0-ad33-ebde09950367
        email_subject:
          type: string
          description: Email subject of the inbox placement test
          example: My Email Subject
        email_body:
          type: string
          description: Email body of the inbox placement test
          example: Hi, this is my email body
        emails:
          type: array
          description: Emails to send the inbox placement test to
          items:
            type: string
            example: john@doe.com
        test_code:
          type:
            - 'null'
            - string
          description: >-
            Code for identifying the inbox placement tests in the email body
            from outside Instantly
          example: ptid_QUDxlQAJTemYCQUTtR16U
        tags:
          type:
            - 'null'
            - array
          description: List of tag IDs to use for sending emails
          items:
            type: string
            format: uuid
            examples:
              - 019e0e3e-72e8-70f0-ad33-ebdf80804083
        text_only:
          type:
            - 'null'
            - boolean
          description: Disables open tracking
          example: true
        recipients:
          type: array
          readOnly: true
          items:
            type: string
            example: johndoe@instantly.ai
        recipients_labels:
          type: array
          description: >-
            A list of email providers and their corresponding types to which
            emails will be sent. To retrieve the available options, use the
            `GET: /inbox-placement-tests/email-service-provider-options`
            endpoint
          items:
            type: object
            properties:
              region:
                type: string
                description: The region to send emails to
                example: North America
              sub_region:
                type: string
                description: The sub-region to send emails to
                example: US
              type:
                type: string
                description: The type of email to send
                example: Professional
              esp:
                type: string
                description: The Email Service Provider (ESP) to send emails to
                example: Google
            required:
              - region
              - sub_region
              - type
              - esp
        timestamp_created:
          type: string
          description: Timestamp when the inbox placement test was created
          readOnly: true
          example: '2026-05-09T19:37:14.216Z'
        timestamp_next_run:
          type:
            - 'null'
            - string
          description: Timestamp when the inbox placement test will run next
          example: '2026-05-09T19:37:14.216Z'
        automations:
          type:
            - 'null'
            - array
          description: Optional automations to trigger based on conditions
          minItems: 0
          items:
            type: object
            properties:
              when:
                type: object
                properties:
                  condition:
                    type: string
                    description: Condition for automation trigger
                    enum:
                      - placement_goes_below
                      - placement_goes_above
                      - added_to_blacklists
                      - removed_from_blacklists
                    examples:
                      - placement_goes_below
                  condition_value:
                    type:
                      - 'null'
                      - number
                    description: Value for condition, if applicable
                    examples:
                      - 80
                required:
                  - condition
              then:
                type: object
                properties:
                  webhook_url:
                    type: string
                    examples:
                      - https://example.com/webhook
                  pause_sending_campaigns_for:
                    type: number
                    description: Number of days to pause sending campaigns for
                    examples:
                      - 14
                  pause:
                    type: boolean
                    examples:
                      - true
                  enable_slow_ramp:
                    type: boolean
                    examples:
                      - true
                  disable_slow_ramp:
                    type: boolean
                    examples:
                      - true
                  add_tags:
                    type: array
                    items:
                      type: string
                      format: uuid
                      examples:
                        - 019e0e3e-72e8-70f0-ad33-ebe0167d6f7d
                    examples:
                      - - 019e0e3e-72e8-70f0-ad33-ebe1dda02fac
                  remove_tags:
                    type: array
                    items:
                      type: string
                      format: uuid
                      examples:
                        - 019e0e3e-72e8-70f0-ad33-ebe23497710e
                minProperties: 1
                description: Actions to take when condition is met
            required:
              - when
              - then
        status:
          type:
            - 'null'
            - number
          description: Status of the inbox placement test
          enum:
            - 1
            - 2
            - 3
          x-enumDescriptions:
            '1': Active
            '2': Paused
            '3': Completed
          example: 1
        not_sending_status:
          type:
            - 'null'
            - string
          description: >-
            Why the inbox placement test is currently not sending. It will be an
            empty string if there are no issues.
          enum:
            - daily_limits_hit
            - other
          x-enumDescriptions:
            daily_limits_hit: Daily limits hit
            other: Other reason
          example: daily_limits_hit
      required:
        - id
        - organization_id
        - name
        - type
        - sending_method
        - email_subject
        - email_body
        - emails
        - recipients
        - timestamp_created
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````